Bug 1268841 - mesa-demos fails to build
Summary: mesa-demos fails to build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mesa-demos
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-05 12:20 UTC by Tomas Pelka
Modified: 2016-11-04 00:16 UTC (History)
1 user (show)

Fixed In Version: mesa-demos-8.2.0-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 00:16:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2192 0 normal SHIPPED_LIVE mesa bug fix and enhancement update 2016-11-03 13:19:28 UTC

Description Tomas Pelka 2015-10-05 12:20:45 UTC
Description of problem:
Mesa fails to build

Version-Release number of selected component (if applicable):
mesa-demos-8.2.0-2.el7

How reproducible:
100%

Steps to Reproduce:
1. rebuild mesa-demos
2.
3.

Actual results:
s390x: http://nest.test.redhat.com/mnt/qa/scratch/s390x-7s-v1/2015:20629/tps/mesa-demos-8.2.0-2.el7.src.rpm-s390x-rebuild.log
ppc64le: http://nest.test.redhat.com/mnt/qa/scratch/ibm-p8-kvm-lt-guest-07/2015:20629/tps/mesa-demos-8.2.0-2.el7.src.rpm-ppc64le-rebuild.log
ppc64: http://nest.test.redhat.com/mnt/qa/scratch/ppc64-7s-v1/2015:20629/tps/mesa-demos-8.2.0-2.el7.src.rpm-ppc64-rebuild.log
x86_64: http://nest.test.redhat.com/mnt/qa/scratch/x86-64-7cn-v1/2015:20629/tps/mesa-demos-8.2.0-2.el7.src.rpm-x86_64-rebuild.log

Expected results:
should build

Additional info:

Comment 1 mchalupa 2015-10-05 12:35:14 UTC
According to mesa's 7a58262e58 the EGL_MESA_screen_surface was obsolete for a long time and was dropped earlier this year. mesa-demos reflect this in http://cgit.freedesktop.org/mesa/demos/commit/?id=74443c6ee79f3251f643ea05e94df58183e37d0d that was pushed to master two weeks ago. So probably too new mesa for mesa-demos (or, conversely, too old mesa-demos)

Comment 7 errata-xmlrpc 2016-11-04 00:16:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2192.html


Note You need to log in before you can comment on or make changes to this bug.